Package org.pushingpixels.lafwidget.menu

# Class MenuSearchWidget

java.lang.Object
org.pushingpixels.lafwidget.LafWidgetAdapter<JMenuBar>
org.pushingpixels.lafwidget.menu.MenuSearchWidget

All Implemented Interfaces:
  `LafWidget<JMenuBar>`, `Resettable`

public class MenuSearchWidget extends LafWidgetAdapter<JMenuBar> implements Resettable
Adds menu search panel to menu bars.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected PropertyChangeListener`
`propertyListener`
Listens on changes to the component orientation.

### Fields inherited from class org.pushingpixels.lafwidget.LafWidgetAdapter

`jcomp`

### Fields inherited from interface org.pushingpixels.lafwidget.LafWidget

`AUTO_SCROLL, COMPONENT_PREVIEW_PAINTER, HAS_LOCK_ICON, IGNORE_GLOBAL_LOCALE, PASSWORD_STRENGTH_CHECKER, TABBED_PANE_PREVIEW_PAINTER, TEXT_EDIT_CONTEXT_MENU, TEXT_FLIP_SELECT_ON_ESCAPE, TEXT_SELECT_ON_FOCUS, TREE_AUTO_DND_SUPPORT`

## Constructor Summary

Constructors
Constructor
Description
`MenuSearchWidget()`

## Method Summary

Modifier and Type
Method
Description
`static int`
`getMenuItemCount(JMenuBar menuBar)`
Returns the number of menu items under the specified menu bar.
`void`
`installListeners()`
Installs listeners for the associated component.
`void`
`installUI()`
Installs UI on the associated component.
`boolean`
`requiresCustomLafSupport()`
Returns indication whether `this` widget requires custom LAF support.
`void`
`reset()`
Resets the state of `this` widget.
`void`
`uninstallListeners()`
Uninstalls listeners for the associated component.
`void`
`uninstallUI()`
Uninstalls UI on the associated component.

### Methods inherited from class org.pushingpixels.lafwidget.LafWidgetAdapter

`installComponents, installDefaults, setComponent, uninstallComponents, uninstallDefaults`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### propertyListener

protected PropertyChangeListener propertyListener
Listens on changes to the component orientation.

## Constructor Details

### MenuSearchWidget

public MenuSearchWidget()

## Method Details

### getMenuItemCount

public static int getMenuItemCount(JMenuBar menuBar)
Returns the number of menu items under the specified menu bar.

Parameters:
  `menuBar` - The root menu bar.
Returns:
  The number of menu items under the specified menu bar.

### installUI

public void installUI()
Description copied from interface: `LafWidget`
Installs UI on the associated component.

Specified by:
  `installUI` in interface `LafWidget<JMenuBar>`
Overrides:
  `installUI` in class `LafWidgetAdapter<JMenuBar>`

### uninstallUI

public void uninstallUI()
Description copied from interface: `LafWidget`
Uninstalls UI on the associated component.

Specified by:
  `uninstallUI` in interface `LafWidget<JMenuBar>`
Overrides:
  `uninstallUI` in class `LafWidgetAdapter<JMenuBar>`

### installListeners

public void installListeners()
Description copied from interface: `LafWidget`
Installs listeners for the associated component.

Specified by:
  `installListeners` in interface `LafWidget<JMenuBar>`
Overrides:
  `installListeners` in class `LafWidgetAdapter<JMenuBar>`

### uninstallListeners

public void uninstallListeners()
Description copied from interface: `LafWidget`
Uninstalls listeners for the associated component.

Specified by:
  `uninstallListeners` in interface `LafWidget<JMenuBar>`
Overrides:
  `uninstallListeners` in class `LafWidgetAdapter<JMenuBar>`

### reset

public void reset()
Description copied from interface: `Resettable`
Resets the state of `this` widget.

Specified by:
  `reset` in interface `Resettable`

### requiresCustomLafSupport

public boolean requiresCustomLafSupport()
Description copied from interface: `LafWidget`
Returns indication whether `this` widget requires custom LAF support. Some widgets such as `TabOverviewDialogWidget` or `TabHoverPreviewWidget` require custom implementation based on the internals of the specific LAF. Relevant functions in the base `LafWidgetSupport` support throw `UnsupportedOperationException`.

Specified by:
  `requiresCustomLafSupport` in interface `LafWidget<JMenuBar>`
Returns:
  `true` if `this` widget requires custom LAF support, `false` otherwise.